<?php
/**
 *   The template for displaying 404 pages (Not Found).
 */

get_header();
get_template_part('page_banner'); ?>
<div class="main-container"><div class="container"><div class="row">

	<div class="col-md-12 error-page text-center">
		<h1 class="error-title"><?php esc_html_e( '404', 'ac-repair'); ?></h1>
		<h2><?php esc_html_e( 'Page not found', 'ac-repair' ); ?></h2>
		<p><?php esc_html_e('The page you are searching for does not exist, i cant take you to the homepage.', 'ac-repair'); ?></p>
		<a href="<?php print esc_url( home_url("/") ); ?>" class="btn btn-default btn-lg"><?php esc_html_e('Go To Home page','ac-repair' ); ?></a>		 
	</div>

</div></div></div>
<?php get_footer(); ?>