<?php
/**
 *  The template for displaying Comments.
 */

if ( post_password_required() )  return;  ?>

<div class="comments leave-comments col-lg-12 col-md-12 col-sm-12 col-xs-12">
<!-- row -->

    <div id="comments" class="comments-area blog-comments">
    <!-- commetns -->
    
    <?php if ( have_comments() ) : ?>
    
        <h2 class="comments-title blog-comments mb60">
        <?php
 
        printf( _n( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'ac-repair' ),
            number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );

        ?>
        </h2>

        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

        <nav role="navigation" id="comment-nav-above" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Comment navigation', 'ac-repair' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'ac-repair') ); ?></div>
            <div class="nav-next"><?php next_comments_link( esc_html__('Newer Comments &rarr;', 'ac-repair') ); ?></div>
        </nav>

        <?php endif; ?>

        <ol class="commentlist comments" id="comment_main_div_id">
        <?php

            wp_list_comments( array( 'callback' => 'fixit_function_comment', 'style' => 'ol', ) );
        ?>
        </ol><!-- .commentlist -->

        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

        <nav role="navigation" id="comment-nav-below" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Comment navigation', 'ac-repair' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'ac-repair') ); ?></div>
            <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'ac-repair') ); ?></div>
        </nav>

        <?php endif;  

        endif;  // have comment

        if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :  ?> 
            
            <p class="nocomments"><?php _e( 'Comments are closed.', 'ac-repair' ); ?></p>
            
    <?php endif;

    /**
     *  Comment form.
     */

    $comment_form = array(
         'title_reply' => esc_html__('Leave Comments', 'ac-repair'),
         'title_reply_to' => esc_html__('Leave a Reply to %s', 'ac-repair'),
         'class_form' => 'row',
         'comment_notes_before' => '',
                'fields' => array(
                    'author' => '<div class="form-group col-md-4">
                                    <label class="control-label" for="author">'. esc_html__( 'Name', 'ac-repair' ) .'</label>
                                    <input id="author" name="author" type="text" placeholder="" class="form-control input-md" required="">
                                </div>',

                    'email' => '<div class="form-group col-md-4">
                                      <label class="control-label" for="email">'. esc_html__( 'Email', 'ac-repair' ) .'</label>
                                      <input id="email" name="email" type="text" placeholder="" class="form-control input-md" required="">
                                </div>',

                    'url' =>    '<div class="form-group col-md-4">
                                      <label class="control-label" for="url">'. esc_html__( 'Website', 'ac-repair' ) .'</label>
                                      <input id="url" name="url" type="text" placeholder="" class="form-control input-md" required="">
                                </div>',
              ),

        'title_reply_before'   => '<h2 id="reply-title" class="comment-reply-title">',
        'title_reply_after'    => '</h2>',

        
        'submit_field'  => '<p class="form-submit col-md-12">%1$s %2$s</p>',
        'label_submit' => esc_html__('Send', 'ac-repair'),
        'class_submit'  => 'btn btn-default',

        'logged_in_as' => '',
        'comment_field' => '',
        'comment_notes_after' => '',
        'comment_field' => ''.

            '<div class="form-group col-md-12">
                    <label class="control-label" for="comment">'. esc_html__( 'Comment', 'ac-repair' ) .'</label>
                    <textarea class="form-control" rows="5" id="comment" name="comment"></textarea>
            </div>',
        );

        comment_form($comment_form);
    ?>
    
    </div>
    <!-- #comments .comments-area -->
</div>
<!-- row -->