<?php

/**
 *  Theme Options Value of Array.
 */

if ( ! defined( 'ABSPATH' ) ) exit;

if( !function_exists('mh_theme_options') ){
	
	function mh_theme_options(){

	$_prefix = Fixit_Factory::fixit_prefix();

	$counter_X = $counter_Y = (int) absint('100');
	
	$font_size = $font_style = $font_weight = $line_height = $theme_options = $googlefonts = $select_option = array();

	$dir = get_template_directory_uri();

	$select_option   = array(
		'one'	=> 'one',
		'two' 	=> 'two', 
		'three' => 'three', 
		'four' 	=> 'four', 
		'five' 	=> 'five', 
		'six'	=> 'six',
		'seven' => 'seven',
		'eight' => 'eight',
		'nine'  => 'nine',
		'ten'   => 'ten',
	);
	$font_style      = array(
		''			=> 'Font Style',
		'normal' 	=> 'Normal', 
		'italic' 	=> 'Italic', 
		'oblique' 	=> 'Oblique', 
		'inherit' 	=> 'Inherit', 
	);
	$font_weight     = array(
		''			=> 'Font weight',
		'normal' 	=> 'Normal',
		'bold' 		=> 'Bold',
		'bolder'	=> 'Bolder',
		'lighter' 	=> 'Lighter',
		'100' 		=> '100',
		'200' 		=> '200',
		'300' 		=> '300',
		'400' 		=> '400',
		'500' 		=> '500',
		'600' 		=> '600',
		'700' 		=> '700',
		'800' 		=> '800',
		'900' 		=> '900',
		'inherit' 	=> 'Inherit',
	);
	/** Through -> http://codepen.io/ecsora/pen/grdbOm **/
	$googlefonts	 = array(
		'ABeeZee' => 'ABeeZee',
		'Abel' => 'Abel',
		'Abhaya Libre' => 'Abhaya Libre',
		'Abril Fatface' => 'Abril Fatface',
		'Aclonica' => 'Aclonica',
		'Acme' => 'Acme',
		'Actor' => 'Actor',
		'Adamina' => 'Adamina',
		'Advent Pro' => 'Advent Pro',
		'Aguafina Script' => 'Aguafina Script',
		'Akronim' => 'Akronim',
		'Aladin' => 'Aladin',
		'Aldrich' => 'Aldrich',
		'Alef' => 'Alef',
		'Alegreya' => 'Alegreya',
		'Alegreya SC' => 'Alegreya SC',
		'Alegreya Sans' => 'Alegreya Sans',
		'Alegreya Sans SC' => 'Alegreya Sans SC',
		'Alex Brush' => 'Alex Brush',
		'Alfa Slab One' => 'Alfa Slab One',
		'Alice' => 'Alice',
		'Alike' => 'Alike',
		'Alike Angular' => 'Alike Angular',
		'Allan' => 'Allan',
		'Allerta' => 'Allerta',
		'Allerta Stencil' => 'Allerta Stencil',
		'Allura' => 'Allura',
		'Almendra' => 'Almendra',
		'Almendra Display' => 'Almendra Display',
		'Almendra SC' => 'Almendra SC',
		'Amarante' => 'Amarante',
		'Amaranth' => 'Amaranth',
		'Amatic SC' => 'Amatic SC',
		'Amatica SC' => 'Amatica SC',
		'Amethysta' => 'Amethysta',
		'Amiko' => 'Amiko',
		'Amiri' => 'Amiri',
		'Amita' => 'Amita',
		'Anaheim' => 'Anaheim',
		'Andada' => 'Andada',
		'Andika' => 'Andika',
		'Angkor' => 'Angkor',
		'Annie Use Your Telescope' => 'Annie Use Your Telescope',
		'Anonymous Pro' => 'Anonymous Pro',
		'Antic' => 'Antic',
		'Antic Didone' => 'Antic Didone',
		'Antic Slab' => 'Antic Slab',
		'Anton' => 'Anton',
		'Arapey' => 'Arapey',
		'Arbutus' => 'Arbutus',
		'Arbutus Slab' => 'Arbutus Slab',
		'Architects Daughter' => 'Architects Daughter',
		'Archivo Black' => 'Archivo Black',
		'Archivo Narrow' => 'Archivo Narrow',
		'Aref Ruqaa' => 'Aref Ruqaa',
		'Arima Madurai' => 'Arima Madurai',
		'Arimo' => 'Arimo',
		'Arizonia' => 'Arizonia',
		'Armata' => 'Armata',
		'Artifika' => 'Artifika',
		'Arvo' => 'Arvo',
		'Arya' => 'Arya',
		'Asap' => 'Asap',
		'Asar' => 'Asar',
		'Asset' => 'Asset',
		'Assistant' => 'Assistant',
		'Astloch' => 'Astloch',
		'Asul' => 'Asul',
		'Athiti' => 'Athiti',
		'Atma' => 'Atma',
		'Atomic Age' => 'Atomic Age',
		'Aubrey' => 'Aubrey',
		'Audiowide' => 'Audiowide',
		'Autour One' => 'Autour One',
		'Average' => 'Average',
		'Average Sans' => 'Average Sans',
		'Averia Gruesa Libre' => 'Averia Gruesa Libre',
		'Averia Libre' => 'Averia Libre',
		'Averia Sans Libre' => 'Averia Sans Libre',
		'Averia Serif Libre' => 'Averia Serif Libre',
		'Bad Script' => 'Bad Script',
		'Baloo' => 'Baloo',
		'Baloo Bhai' => 'Baloo Bhai',
		'Baloo Bhaina' => 'Baloo Bhaina',
		'Baloo Chettan' => 'Baloo Chettan',
		'Baloo Da' => 'Baloo Da',
		'Baloo Paaji' => 'Baloo Paaji',
		'Baloo Tamma' => 'Baloo Tamma',
		'Baloo Thambi' => 'Baloo Thambi',
		'Balthazar' => 'Balthazar',
		'Bangers' => 'Bangers',
		'Basic' => 'Basic',
		'Battambang' => 'Battambang',
		'Baumans' => 'Baumans',
		'Bayon' => 'Bayon',
		'Belgrano' => 'Belgrano',
		'Belleza' => 'Belleza',
		'BenchNine' => 'BenchNine',
		'Bentham' => 'Bentham',
		'Berkshire Swash' => 'Berkshire Swash',
		'Bevan' => 'Bevan',
		'Bigelow Rules' => 'Bigelow Rules',
		'Bigshot One' => 'Bigshot One',
		'Bilbo' => 'Bilbo',
		'Bilbo Swash Caps' => 'Bilbo Swash Caps',
		'BioRhyme' => 'BioRhyme',
		'BioRhyme Expanded' => 'BioRhyme Expanded',
		'Biryani' => 'Biryani',
		'Bitter' => 'Bitter',
		'Black Ops One' => 'Black Ops One',
		'Bokor' => 'Bokor',
		'Bonbon' => 'Bonbon',
		'Boogaloo' => 'Boogaloo',
		'Bowlby One' => 'Bowlby One',
		'Bowlby One SC' => 'Bowlby One SC',
		'Brawler' => 'Brawler',
		'Bree Serif' => 'Bree Serif',
		'Bubblegum Sans' => 'Bubblegum Sans',
		'Bubbler One' => 'Bubbler One',
		'Buda' => 'Buda',
		'Buenard' => 'Buenard',
		'Bungee' => 'Bungee',
		'Bungee Hairline' => 'Bungee Hairline',
		'Bungee Inline' => 'Bungee Inline',
		'Bungee Outline' => 'Bungee Outline',
		'Bungee Shade' => 'Bungee Shade',
		'Butcherman' => 'Butcherman',
		'Butterfly Kids' => 'Butterfly Kids',
		'Cabin' => 'Cabin',
		'Cabin Condensed' => 'Cabin Condensed',
		'Cabin Sketch' => 'Cabin Sketch',
		'Caesar Dressing' => 'Caesar Dressing',
		'Cagliostro' => 'Cagliostro',
		'Cairo' => 'Cairo',
		'Calligraffitti' => 'Calligraffitti',
		'Cambay' => 'Cambay',
		'Cambo' => 'Cambo',
		'Candal' => 'Candal',
		'Cantarell' => 'Cantarell',
		'Cantata One' => 'Cantata One',
		'Cantora One' => 'Cantora One',
		'Capriola' => 'Capriola',
		'Cardo' => 'Cardo',
		'Carme' => 'Carme',
		'Carrois Gothic' => 'Carrois Gothic',
		'Carrois Gothic SC' => 'Carrois Gothic SC',
		'Carter One' => 'Carter One',
		'Catamaran' => 'Catamaran',
		'Caudex' => 'Caudex',
		'Caveat' => 'Caveat',
		'Caveat Brush' => 'Caveat Brush',
		'Cedarville Cursive' => 'Cedarville Cursive',
		'Ceviche One' => 'Ceviche One',
		'Changa' => 'Changa',
		'Changa One' => 'Changa One',
		'Chango' => 'Chango',
		'Chathura' => 'Chathura',
		'Chau Philomene One' => 'Chau Philomene One',
		'Chela One' => 'Chela One',
		'Chelsea Market' => 'Chelsea Market',
		'Chenla' => 'Chenla',
		'Cherry Cream Soda' => 'Cherry Cream Soda',
		'Cherry Swash' => 'Cherry Swash',
		'Chewy' => 'Chewy',
		'Chicle' => 'Chicle',
		'Chivo' => 'Chivo',
		'Chonburi' => 'Chonburi',
		'Cinzel' => 'Cinzel',
		'Cinzel Decorative' => 'Cinzel Decorative',
		'Clicker Script' => 'Clicker Script',
		'Coda' => 'Coda',
		'Coda Caption' => 'Coda Caption',
		'Codystar' => 'Codystar',
		'Coiny' => 'Coiny',
		'Combo' => 'Combo',
		'Comfortaa' => 'Comfortaa',
		'Coming Soon' => 'Coming Soon',
		'Concert One' => 'Concert One',
		'Condiment' => 'Condiment',
		'Content' => 'Content',
		'Contrail One' => 'Contrail One',
		'Convergence' => 'Convergence',
		'Cookie' => 'Cookie',
		'Copse' => 'Copse',
		'Corben' => 'Corben',
		'Cormorant' => 'Cormorant',
		'Cormorant Garamond' => 'Cormorant Garamond',
		'Cormorant Infant' => 'Cormorant Infant',
		'Cormorant SC' => 'Cormorant SC',
		'Cormorant Unicase' => 'Cormorant Unicase',
		'Cormorant Upright' => 'Cormorant Upright',
		'Courgette' => 'Courgette',
		'Cousine' => 'Cousine',
		'Coustard' => 'Coustard',
		'Covered By Your Grace' => 'Covered By Your Grace',
		'Crafty Girls' => 'Crafty Girls',
		'Creepster' => 'Creepster',
		'Crete Round' => 'Crete Round',
		'Crimson Text' => 'Crimson Text',
		'Croissant One' => 'Croissant One',
		'Crushed' => 'Crushed',
		'Cuprum' => 'Cuprum',
		'Cutive' => 'Cutive',
		'Cutive Mono' => 'Cutive Mono',
		'Damion' => 'Damion',
		'Dancing Script' => 'Dancing Script',
		'Dangrek' => 'Dangrek',
		'David Libre' => 'David Libre',
		'Dawning of a New Day' => 'Dawning of a New Day',
		'Days One' => 'Days One',
		'Dekko' => 'Dekko',
		'Delius' => 'Delius',
		'Delius Swash Caps' => 'Delius Swash Caps',
		'Delius Unicase' => 'Delius Unicase',
		'Della Respira' => 'Della Respira',
		'Denk One' => 'Denk One',
		'Devonshire' => 'Devonshire',
		'Dhurjati' => 'Dhurjati',
		'Didact Gothic' => 'Didact Gothic',
		'Diplomata' => 'Diplomata',
		'Diplomata SC' => 'Diplomata SC',
		'Domine' => 'Domine',
		'Donegal One' => 'Donegal One',
		'Doppio One' => 'Doppio One',
		'Dorsa' => 'Dorsa',
		'Dosis' => 'Dosis',
		'Dr Sugiyama' => 'Dr Sugiyama',
		'Droid Sans' => 'Droid Sans',
		'Droid Sans Mono' => 'Droid Sans Mono',
		'Droid Serif' => 'Droid Serif',
		'Duru Sans' => 'Duru Sans',
		'Dynalight' => 'Dynalight',
		'EB Garamond' => 'EB Garamond',
		'Eagle Lake' => 'Eagle Lake',
		'Eater' => 'Eater',
		'Economica' => 'Economica',
		'Eczar' => 'Eczar',
		'Ek Mukta' => 'Ek Mukta',
		'El Messiri' => 'El Messiri',
		'Electrolize' => 'Electrolize',
		'Elsie' => 'Elsie',
		'Elsie Swash Caps' => 'Elsie Swash Caps',
		'Emblema One' => 'Emblema One',
		'Emilys Candy' => 'Emilys Candy',
		'Engagement' => 'Engagement',
		'Englebert' => 'Englebert',
		'Enriqueta' => 'Enriqueta',
		'Erica One' => 'Erica One',
		'Esteban' => 'Esteban',
		'Euphoria Script' => 'Euphoria Script',
		'Ewert' => 'Ewert',
		'Exo' => 'Exo',
		'Exo 2' => 'Exo 2',
		'Expletus Sans' => 'Expletus Sans',
		'Fanwood Text' => 'Fanwood Text',
		'Farsan' => 'Farsan',
		'Fascinate' => 'Fascinate',
		'Fascinate Inline' => 'Fascinate Inline',
		'Faster One' => 'Faster One',
		'Fasthand' => 'Fasthand',
		'Fauna One' => 'Fauna One',
		'Federant' => 'Federant',
		'Federo' => 'Federo',
		'Felipa' => 'Felipa',
		'Fenix' => 'Fenix',
		'Finger Paint' => 'Finger Paint',
		'Fira Mono' => 'Fira Mono',
		'Fira Sans' => 'Fira Sans',
		'Fjalla One' => 'Fjalla One',
		'Fjord One' => 'Fjord One',
		'Flamenco' => 'Flamenco',
		'Flavors' => 'Flavors',
		'Fondamento' => 'Fondamento',
		'Fontdiner Swanky' => 'Fontdiner Swanky',
		'Forum' => 'Forum',
		'Francois One' => 'Francois One',
		'Frank Ruhl Libre' => 'Frank Ruhl Libre',
		'Freckle Face' => 'Freckle Face',
		'Fredericka the Great' => 'Fredericka the Great',
		'Fredoka One' => 'Fredoka One',
		'Freehand' => 'Freehand',
		'Fresca' => 'Fresca',
		'Frijole' => 'Frijole',
		'Fruktur' => 'Fruktur',
		'Fugaz One' => 'Fugaz One',
		'GFS Didot' => 'GFS Didot',
		'GFS Neohellenic' => 'GFS Neohellenic',
		'Gabriela' => 'Gabriela',
		'Gafata' => 'Gafata',
		'Galada' => 'Galada',
		'Galdeano' => 'Galdeano',
		'Galindo' => 'Galindo',
		'Gentium Basic' => 'Gentium Basic',
		'Gentium Book Basic' => 'Gentium Book Basic',
		'Geo' => 'Geo',
		'Geostar' => 'Geostar',
		'Geostar Fill' => 'Geostar Fill',
		'Germania One' => 'Germania One',
		'Gidugu' => 'Gidugu',
		'Gilda Display' => 'Gilda Display',
		'Give You Glory' => 'Give You Glory',
		'Glass Antiqua' => 'Glass Antiqua',
		'Glegoo' => 'Glegoo',
		'Gloria Hallelujah' => 'Gloria Hallelujah',
		'Goblin One' => 'Goblin One',
		'Gochi Hand' => 'Gochi Hand',
		'Gorditas' => 'Gorditas',
		'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
		'Graduate' => 'Graduate',
		'Grand Hotel' => 'Grand Hotel',
		'Gravitas One' => 'Gravitas One',
		'Great Vibes' => 'Great Vibes',
		'Griffy' => 'Griffy',
		'Gruppo' => 'Gruppo',
		'Gudea' => 'Gudea',
		'Gurajada' => 'Gurajada',
		'Habibi' => 'Habibi',
		'Halant' => 'Halant',
		'Hammersmith One' => 'Hammersmith One',
		'Hanalei' => 'Hanalei',
		'Hanalei Fill' => 'Hanalei Fill',
		'Handlee' => 'Handlee',
		'Hanuman' => 'Hanuman',
		'Happy Monkey' => 'Happy Monkey',
		'Harmattan' => 'Harmattan',
		'Headland One' => 'Headland One',
		'Heebo' => 'Heebo',
		'Henny Penny' => 'Henny Penny',
		'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
		'Hind' => 'Hind',
		'Hind Guntur' => 'Hind Guntur',
		'Hind Madurai' => 'Hind Madurai',
		'Hind Siliguri' => 'Hind Siliguri',
		'Hind Vadodara' => 'Hind Vadodara',
		'Holtwood One SC' => 'Holtwood One SC',
		'Homemade Apple' => 'Homemade Apple',
		'Homenaje' => 'Homenaje',
		'IM Fell DW Pica' => 'IM Fell DW Pica',
		'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
		'IM Fell Double Pica' => 'IM Fell Double Pica',
		'IM Fell Double Pica SC' => 'IM Fell Double Pica SC',
		'IM Fell English' => 'IM Fell English',
		'IM Fell English SC' => 'IM Fell English SC',
		'IM Fell French Canon' => 'IM Fell French Canon',
		'IM Fell French Canon SC' => 'IM Fell French Canon SC',
		'IM Fell Great Primer' => 'IM Fell Great Primer',
		'IM Fell Great Primer SC' => 'IM Fell Great Primer SC',
		'Iceberg' => 'Iceberg',
		'Iceland' => 'Iceland',
		'Imprima' => 'Imprima',
		'Inconsolata' => 'Inconsolata',
		'Inder' => 'Inder',
		'Indie Flower' => 'Indie Flower',
		'Inika' => 'Inika',
		'Inknut Antiqua' => 'Inknut Antiqua',
		'Irish Grover' => 'Irish Grover',
		'Istok Web' => 'Istok Web',
		'Italiana' => 'Italiana',
		'Italianno' => 'Italianno',
		'Itim' => 'Itim',
		'Jacques Francois' => 'Jacques Francois',
		'Jacques Francois Shadow' => 'Jacques Francois Shadow',
		'Jaldi' => 'Jaldi',
		'Jim Nightshade' => 'Jim Nightshade',
		'Jockey One' => 'Jockey One',
		'Jolly Lodger' => 'Jolly Lodger',
		'Jomhuria' => 'Jomhuria',
		'Josefin Sans' => 'Josefin Sans',
		'Josefin Slab' => 'Josefin Slab',
		'Joti One' => 'Joti One',
		'Judson' => 'Judson',
		'Julee' => 'Julee',
		'Julius Sans One' => 'Julius Sans One',
		'Junge' => 'Junge',
		'Jura' => 'Jura',
		'Just Another Hand' => 'Just Another Hand',
		'Just Me Again Down Here' => 'Just Me Again Down Here',
		'Kadwa' => 'Kadwa',
		'Kalam' => 'Kalam',
		'Kameron' => 'Kameron',
		'Kanit' => 'Kanit',
		'Kantumruy' => 'Kantumruy',
		'Karla' => 'Karla',
		'Karma' => 'Karma',
		'Katibeh' => 'Katibeh',
		'Kaushan Script' => 'Kaushan Script',
		'Kavivanar' => 'Kavivanar',
		'Kavoon' => 'Kavoon',
		'Kdam Thmor' => 'Kdam Thmor',
		'Keania One' => 'Keania One',
		'Kelly Slab' => 'Kelly Slab',
		'Kenia' => 'Kenia',
		'Khand' => 'Khand',
		'Khmer' => 'Khmer',
		'Khula' => 'Khula',
		'Kite One' => 'Kite One',
		'Knewave' => 'Knewave',
		'Kotta One' => 'Kotta One',
		'Koulen' => 'Koulen',
		'Kranky' => 'Kranky',
		'Kreon' => 'Kreon',
		'Kristi' => 'Kristi',
		'Krona One' => 'Krona One',
		'Kumar One' => 'Kumar One',
		'Kumar One Outline' => 'Kumar One Outline',
		'Kurale' => 'Kurale',
		'La Belle Aurore' => 'La Belle Aurore',
		'Laila' => 'Laila',
		'Lakki Reddy' => 'Lakki Reddy',
		'Lalezar' => 'Lalezar',
		'Lancelot' => 'Lancelot',
		'Lateef' => 'Lateef',
		'Lato' => 'Lato',
		'League Script' => 'League Script',
		'Leckerli One' => 'Leckerli One',
		'Ledger' => 'Ledger',
		'Lekton' => 'Lekton',
		'Lemon' => 'Lemon',
		'Lemonada' => 'Lemonada',
		'Libre Baskerville' => 'Libre Baskerville',
		'Libre Franklin' => 'Libre Franklin',
		'Life Savers' => 'Life Savers',
		'Lilita One' => 'Lilita One',
		'Lily Script One' => 'Lily Script One',
		'Limelight' => 'Limelight',
		'Linden Hill' => 'Linden Hill',
		'Lobster' => 'Lobster',
		'Lobster Two' => 'Lobster Two',
		'Londrina Outline' => 'Londrina Outline',
		'Londrina Shadow' => 'Londrina Shadow',
		'Londrina Sketch' => 'Londrina Sketch',
		'Londrina Solid' => 'Londrina Solid',
		'Lora' => 'Lora',
		'Love Ya Like A Sister' => 'Love Ya Like A Sister',
		'Loved by the King' => 'Loved by the King',
		'Lovers Quarrel' => 'Lovers Quarrel',
		'Luckiest Guy' => 'Luckiest Guy',
		'Lusitana' => 'Lusitana',
		'Lustria' => 'Lustria',
		'Macondo' => 'Macondo',
		'Macondo Swash Caps' => 'Macondo Swash Caps',
		'Mada' => 'Mada',
		'Magra' => 'Magra',
		'Maiden Orange' => 'Maiden Orange',
		'Maitree' => 'Maitree',
		'Mako' => 'Mako',
		'Mallanna' => 'Mallanna',
		'Mandali' => 'Mandali',
		'Marcellus' => 'Marcellus',
		'Marcellus SC' => 'Marcellus SC',
		'Marck Script' => 'Marck Script',
		'Margarine' => 'Margarine',
		'Marko One' => 'Marko One',
		'Marmelad' => 'Marmelad',
		'Martel' => 'Martel',
		'Martel Sans' => 'Martel Sans',
		'Marvel' => 'Marvel',
		'Mate' => 'Mate',
		'Mate SC' => 'Mate SC',
		'Maven Pro' => 'Maven Pro',
		'McLaren' => 'McLaren',
		'Meddon' => 'Meddon',
		'MedievalSharp' => 'MedievalSharp',
		'Medula One' => 'Medula One',
		'Meera Inimai' => 'Meera Inimai',
		'Megrim' => 'Megrim',
		'Meie Script' => 'Meie Script',
		'Merienda' => 'Merienda',
		'Merienda One' => 'Merienda One',
		'Merriweather' => 'Merriweather',
		'Merriweather Sans' => 'Merriweather Sans',
		'Metal' => 'Metal',
		'Metal Mania' => 'Metal Mania',
		'Metamorphous' => 'Metamorphous',
		'Metrophobic' => 'Metrophobic',
		'Michroma' => 'Michroma',
		'Milonga' => 'Milonga',
		'Miltonian' => 'Miltonian',
		'Miltonian Tattoo' => 'Miltonian Tattoo',
		'Miniver' => 'Miniver',
		'Miriam Libre' => 'Miriam Libre',
		'Mirza' => 'Mirza',
		'Miss Fajardose' => 'Miss Fajardose',
		'Mitr' => 'Mitr',
		'Modak' => 'Modak',
		'Modern Antiqua' => 'Modern Antiqua',
		'Mogra' => 'Mogra',
		'Molengo' => 'Molengo',
		'Molle' => 'Molle',
		'Monda' => 'Monda',
		'Monofett' => 'Monofett',
		'Monoton' => 'Monoton',
		'Monsieur La Doulaise' => 'Monsieur La Doulaise',
		'Montaga' => 'Montaga',
		'Montez' => 'Montez',
		'Montserrat' => 'Montserrat',
		'Montserrat Alternates' => 'Montserrat Alternates',
		'Montserrat Subrayada' => 'Montserrat Subrayada',
		'Moul' => 'Moul',
		'Moulpali' => 'Moulpali',
		'Mountains of Christmas' => 'Mountains of Christmas',
		'Mouse Memoirs' => 'Mouse Memoirs',
		'Mr Bedfort' => 'Mr Bedfort',
		'Mr Dafoe' => 'Mr Dafoe',
		'Mr De Haviland' => 'Mr De Haviland',
		'Mrs Saint Delafield' => 'Mrs Saint Delafield',
		'Mrs Sheppards' => 'Mrs Sheppards',
		'Mukta Vaani' => 'Mukta Vaani',
		'Muli' => 'Muli',
		'Mystery Quest' => 'Mystery Quest',
		'NTR' => 'NTR',
		'Neucha' => 'Neucha',
		'Neuton' => 'Neuton',
		'New Rocker' => 'New Rocker',
		'News Cycle' => 'News Cycle',
		'Niconne' => 'Niconne',
		'Nixie One' => 'Nixie One',
		'Nobile' => 'Nobile',
		'Nokora' => 'Nokora',
		'Norican' => 'Norican',
		'Nosifer' => 'Nosifer',
		'Nothing You Could Do' => 'Nothing You Could Do',
		'Noticia Text' => 'Noticia Text',
		'Noto Sans' => 'Noto Sans',
		'Noto Serif' => 'Noto Serif',
		'Nova Cut' => 'Nova Cut',
		'Nova Flat' => 'Nova Flat',
		'Nova Mono' => 'Nova Mono',
		'Nova Oval' => 'Nova Oval',
		'Nova Round' => 'Nova Round',
		'Nova Script' => 'Nova Script',
		'Nova Slim' => 'Nova Slim',
		'Nova Square' => 'Nova Square',
		'Numans' => 'Numans',
		'Nunito' => 'Nunito',
		'Nunito Sans' => 'Nunito Sans',
		'Odor Mean Chey' => 'Odor Mean Chey',
		'Offside' => 'Offside',
		'Old Standard TT' => 'Old Standard TT',
		'Oldenburg' => 'Oldenburg',
		'Oleo Script' => 'Oleo Script',
		'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
		'Open Sans' => 'Open Sans',
		'Open Sans Condensed' => 'Open Sans Condensed',
		'Oranienbaum' => 'Oranienbaum',
		'Orbitron' => 'Orbitron',
		'Oregano' => 'Oregano',
		'Orienta' => 'Orienta',
		'Original Surfer' => 'Original Surfer',
		'Oswald' => 'Oswald',
		'Over the Rainbow' => 'Over the Rainbow',
		'Overlock' => 'Overlock',
		'Overlock SC' => 'Overlock SC',
		'Ovo' => 'Ovo',
		'Oxygen' => 'Oxygen',
		'Oxygen Mono' => 'Oxygen Mono',
		'PT Mono' => 'PT Mono',
		'PT Sans' => 'PT Sans',
		'PT Sans Caption' => 'PT Sans Caption',
		'PT Sans Narrow' => 'PT Sans Narrow',
		'PT Serif' => 'PT Serif',
		'PT Serif Caption' => 'PT Serif Caption',
		'Pacifico' => 'Pacifico',
		'Palanquin' => 'Palanquin',
		'Palanquin Dark' => 'Palanquin Dark',
		'Paprika' => 'Paprika',
		'Parisienne' => 'Parisienne',
		'Passero One' => 'Passero One',
		'Passion One' => 'Passion One',
		'Pathway Gothic One' => 'Pathway Gothic One',
		'Patrick Hand' => 'Patrick Hand',
		'Patrick Hand SC' => 'Patrick Hand SC',
		'Pattaya' => 'Pattaya',
		'Patua One' => 'Patua One',
		'Pavanam' => 'Pavanam',
		'Paytone One' => 'Paytone One',
		'Peddana' => 'Peddana',
		'Peralta' => 'Peralta',
		'Permanent Marker' => 'Permanent Marker',
		'Petit Formal Script' => 'Petit Formal Script',
		'Petrona' => 'Petrona',
		'Philosopher' => 'Philosopher',
		'Piedra' => 'Piedra',
		'Pinyon Script' => 'Pinyon Script',
		'Pirata One' => 'Pirata One',
		'Plaster' => 'Plaster',
		'Play' => 'Play',
		'Playball' => 'Playball',
		'Playfair Display' => 'Playfair Display',
		'Playfair Display SC' => 'Playfair Display SC',
		'Podkova' => 'Podkova',
		'Poiret One' => 'Poiret One',
		'Poller One' => 'Poller One',
		'Poly' => 'Poly',
		'Pompiere' => 'Pompiere',
		'Pontano Sans' => 'Pontano Sans',
		'Poppins' => 'Poppins',
		'Port Lligat Sans' => 'Port Lligat Sans',
		'Port Lligat Slab' => 'Port Lligat Slab',
		'Pragati Narrow' => 'Pragati Narrow',
		'Prata' => 'Prata',
		'Preahvihear' => 'Preahvihear',
		'Press Start 2P' => 'Press Start 2P',
		'Pridi' => 'Pridi',
		'Princess Sofia' => 'Princess Sofia',
		'Prociono' => 'Prociono',
		'Prompt' => 'Prompt',
		'Prosto One' => 'Prosto One',
		'Proza Libre' => 'Proza Libre',
		'Puritan' => 'Puritan',
		'Purple Purse' => 'Purple Purse',
		'Quando' => 'Quando',
		'Quantico' => 'Quantico',
		'Quattrocento' => 'Quattrocento',
		'Quattrocento Sans' => 'Quattrocento Sans',
		'Questrial' => 'Questrial',
		'Quicksand' => 'Quicksand',
		'Quintessential' => 'Quintessential',
		'Qwigley' => 'Qwigley',
		'Racing Sans One' => 'Racing Sans One',
		'Radley' => 'Radley',
		'Rajdhani' => 'Rajdhani',
		'Rakkas' => 'Rakkas',
		'Raleway' => 'Raleway',
		'Raleway Dots' => 'Raleway Dots',
		'Ramabhadra' => 'Ramabhadra',
		'Ramaraja' => 'Ramaraja',
		'Rambla' => 'Rambla',
		'Rammetto One' => 'Rammetto One',
		'Ranchers' => 'Ranchers',
		'Rancho' => 'Rancho',
		'Ranga' => 'Ranga',
		'Rasa' => 'Rasa',
		'Rationale' => 'Rationale',
		'Ravi Prakash' => 'Ravi Prakash',
		'Redressed' => 'Redressed',
		'Reem Kufi' => 'Reem Kufi',
		'Reenie Beanie' => 'Reenie Beanie',
		'Revalia' => 'Revalia',
		'Rhodium Libre' => 'Rhodium Libre',
		'Ribeye' => 'Ribeye',
		'Ribeye Marrow' => 'Ribeye Marrow',
		'Righteous' => 'Righteous',
		'Risque' => 'Risque',
		'Roboto' => 'Roboto',
		'Roboto Condensed' => 'Roboto Condensed',
		'Roboto Mono' => 'Roboto Mono',
		'Roboto Slab' => 'Roboto Slab',
		'Rochester' => 'Rochester',
		'Rock Salt' => 'Rock Salt',
		'Rokkitt' => 'Rokkitt',
		'Romanesco' => 'Romanesco',
		'Ropa Sans' => 'Ropa Sans',
		'Rosario' => 'Rosario',
		'Rosarivo' => 'Rosarivo',
		'Rouge Script' => 'Rouge Script',
		'Rozha One' => 'Rozha One',
		'Rubik' => 'Rubik',
		'Rubik Mono One' => 'Rubik Mono One',
		'Rubik One' => 'Rubik One',
		'Ruda' => 'Ruda',
		'Rufina' => 'Rufina',
		'Ruge Boogie' => 'Ruge Boogie',
		'Ruluko' => 'Ruluko',
		'Rum Raisin' => 'Rum Raisin',
		'Ruslan Display' => 'Ruslan Display',
		'Russo One' => 'Russo One',
		'Ruthie' => 'Ruthie',
		'Rye' => 'Rye',
		'Sacramento' => 'Sacramento',
		'Sahitya' => 'Sahitya',
		'Sail' => 'Sail',
		'Salsa' => 'Salsa',
		'Sanchez' => 'Sanchez',
		'Sancreek' => 'Sancreek',
		'Sansita One' => 'Sansita One',
		'Sarala' => 'Sarala',
		'Sarina' => 'Sarina',
		'Sarpanch' => 'Sarpanch',
		'Satisfy' => 'Satisfy',
		'Scada' => 'Scada',
		'Scheherazade' => 'Scheherazade',
		'Schoolbell' => 'Schoolbell',
		'Scope One' => 'Scope One',
		'Seaweed Script' => 'Seaweed Script',
		'Secular One' => 'Secular One',
		'Sevillana' => 'Sevillana',
		'Seymour One' => 'Seymour One',
		'Shadows Into Light' => 'Shadows Into Light',
		'Shadows Into Light Two' => 'Shadows Into Light Two',
		'Shanti' => 'Shanti',
		'Share' => 'Share',
		'Share Tech' => 'Share Tech',
		'Share Tech Mono' => 'Share Tech Mono',
		'Shojumaru' => 'Shojumaru',
		'Short Stack' => 'Short Stack',
		'Shrikhand' => 'Shrikhand',
		'Siemreap' => 'Siemreap',
		'Sigmar One' => 'Sigmar One',
		'Signika' => 'Signika',
		'Signika Negative' => 'Signika Negative',
		'Simonetta' => 'Simonetta',
		'Sintony' => 'Sintony',
		'Sirin Stencil' => 'Sirin Stencil',
		'Six Caps' => 'Six Caps',
		'Skranji' => 'Skranji',
		'Slabo 13px' => 'Slabo 13px',
		'Slabo 27px' => 'Slabo 27px',
		'Slackey' => 'Slackey',
		'Smokum' => 'Smokum',
		'Smythe' => 'Smythe',
		'Sniglet' => 'Sniglet',
		'Snippet' => 'Snippet',
		'Snowburst One' => 'Snowburst One',
		'Sofadi One' => 'Sofadi One',
		'Sofia' => 'Sofia',
		'Sonsie One' => 'Sonsie One',
		'Sorts Mill Goudy' => 'Sorts Mill Goudy',
		'Source Code Pro' => 'Source Code Pro',
		'Source Sans Pro' => 'Source Sans Pro',
		'Source Serif Pro' => 'Source Serif Pro',
		'Space Mono' => 'Space Mono',
		'Special Elite' => 'Special Elite',
		'Spicy Rice' => 'Spicy Rice',
		'Spinnaker' => 'Spinnaker',
		'Spirax' => 'Spirax',
		'Squada One' => 'Squada One',
		'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
		'Sriracha' => 'Sriracha',
		'Stalemate' => 'Stalemate',
		'Stalinist One' => 'Stalinist One',
		'Stardos Stencil' => 'Stardos Stencil',
		'Stint Ultra Condensed' => 'Stint Ultra Condensed',
		'Stint Ultra Expanded' => 'Stint Ultra Expanded',
		'Stoke' => 'Stoke',
		'Strait' => 'Strait',
		'Sue Ellen Francisco' => 'Sue Ellen Francisco',
		'Suez One' => 'Suez One',
		'Sumana' => 'Sumana',
		'Sunshiney' => 'Sunshiney',
		'Supermercado One' => 'Supermercado One',
		'Sura' => 'Sura',
		'Suranna' => 'Suranna',
		'Suravaram' => 'Suravaram',
		'Suwannaphum' => 'Suwannaphum',
		'Swanky and Moo Moo' => 'Swanky and Moo Moo',
		'Syncopate' => 'Syncopate',
		'Tangerine' => 'Tangerine',
		'Taprom' => 'Taprom',
		'Tauri' => 'Tauri',
		'Taviraj' => 'Taviraj',
		'Teko' => 'Teko',
		'Telex' => 'Telex',
		'Tenali Ramakrishna' => 'Tenali Ramakrishna',
		'Tenor Sans' => 'Tenor Sans',
		'Text Me One' => 'Text Me One',
		'The Girl Next Door' => 'The Girl Next Door',
		'Tienne' => 'Tienne',
		'Tillana' => 'Tillana',
		'Timmana' => 'Timmana',
		'Tinos' => 'Tinos',
		'Titan One' => 'Titan One',
		'Titillium Web' => 'Titillium Web',
		'Trade Winds' => 'Trade Winds',
		'Trirong' => 'Trirong',
		'Trocchi' => 'Trocchi',
		'Trochut' => 'Trochut',
		'Trykker' => 'Trykker',
		'Tulpen One' => 'Tulpen One',
		'Ubuntu' => 'Ubuntu',
		'Ubuntu Condensed' => 'Ubuntu Condensed',
		'Ubuntu Mono' => 'Ubuntu Mono',
		'Ultra' => 'Ultra',
		'Uncial Antiqua' => 'Uncial Antiqua',
		'Underdog' => 'Underdog',
		'Unica One' => 'Unica One',
		'UnifrakturCook' => 'UnifrakturCook',
		'UnifrakturMaguntia' => 'UnifrakturMaguntia',
		'Unkempt' => 'Unkempt',
		'Unlock' => 'Unlock',
		'Unna' => 'Unna',
		'VT323' => 'VT323',
		'Vampiro One' => 'Vampiro One',
		'Varela' => 'Varela',
		'Varela Round' => 'Varela Round',
		'Vast Shadow' => 'Vast Shadow',
		'Vesper Libre' => 'Vesper Libre',
		'Vibur' => 'Vibur',
		'Vidaloka' => 'Vidaloka',
		'Viga' => 'Viga',
		'Voces' => 'Voces',
		'Volkhov' => 'Volkhov',
		'Vollkorn' => 'Vollkorn',
		'Voltaire' => 'Voltaire',
		'Waiting for the Sunrise' => 'Waiting for the Sunrise',
		'Wallpoet' => 'Wallpoet',
		'Walter Turncoat' => 'Walter Turncoat',
		'Warnes' => 'Warnes',
		'Wellfleet' => 'Wellfleet',
		'Wendy One' => 'Wendy One',
		'Wire One' => 'Wire One',
		'Work Sans' => 'Work Sans',
		'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
		'Yantramanav' => 'Yantramanav',
		'Yatra One' => 'Yatra One',
		'Yellowtail' => 'Yellowtail',
		'Yeseva One' => 'Yeseva One',
		'Yesteryear' => 'Yesteryear',
		'Yrsa' => 'Yrsa',
		'Zeyada' => 'Zeyada',
	);

	/**
	 * Type : text, textarea, radio, select, multiselect, image, typography, color, color_2, checkbox, editor, spinner etc.
	 *
	 * 1. General setting.
	 */ 
	$theme_options[] = array(
		'name' 		 	=> esc_html__('General setting', 'ac-repair'),
		'description'	=> esc_html__('Configure general settings of your theme. Upload your preferred logo, favicon, and insert your analytics tracking code.', 'ac-repair' ),
		'type' 		    => 'section',
        'priority'      => absint('200'),
	);
	$theme_options[] = array(
		'name' 		    => esc_html__('Plain Text Logo', 'ac-repair'),
		'section' 	    => esc_html__('General setting', 'ac-repair'),
		'description'   => esc_html__('Check this box to enable a plain text logo rather than an image logo. Will use your site title.', 'ac-repair' ),
		'type' 		    => 'checkbox',
		'id' 		    => $_prefix.'plain_text_logo',
		'class' 		=> '',
		'options'       => array( 'name' => 'Plain Text Logo' ),
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name' 		    => esc_html__('Custom Logo Upload', 'ac-repair'), 
		'section' 	    => esc_html__('General setting', 'ac-repair'),
		'description'   => esc_html__('Upload a logo for your theme.', 'ac-repair' ),	
		'type' 		    => 'image',
		'id' 		    => $_prefix.'logo',
		'class' 		=> 'regular-text form-control text-upload',
	    'default'		=> $dir.'/assets/ac-repair/images/logo.png',
    );
	$theme_options[] = array(
		'name' 		    => esc_html__('Logo Margin Spance Setting', 'ac-repair' ),
		'section' 	    => esc_html__('General setting', 'ac-repair'),
		'description'   => esc_html__('Manager Your Logo Margin Top, Bottom, Left, Right Side.', 'ac-repair' ),
		'type' 		    => 'margin',
		'id_1' 		    => $_prefix.'logo_ml',
		'id_2' 		    => $_prefix.'logo_mt',
		'id_3' 		    => $_prefix.'logo_mr',
		'id_4' 		    => $_prefix.'logo_mb',
		'label_1' 		=> 'Margin Left',
		'label_2' 	    => 'Margin Top',
		'label_3' 		=> 'Margin Right',
		'label_4' 		=> 'Margin Bottom',
		'class' 		=> '',
	    'default_1'		=> '',
	    'default_2'		=> '',
	    'default_3'		=> '',
	    'default_4'		=> '',
    );    
	$theme_options[] = array(
		'name'		    => esc_html__('Custom Favicon Upload', 'ac-repair'),
		'section'	    => esc_html__('General setting', 'ac-repair'),
		'description'   => esc_html__("Upload a 16px x 16px Png/Gif image that will represent your website's favicon. Use X-Icon Editor to easily create a favicon.", 'ac-repair' ),
		'type' 		    => 'image',
		'id' 		    => $_prefix.'favicon',
		'class' 		=> 'regular-text form-control text-upload',
	    'default'		=> '',
	);
	$theme_options[] = array(
		'name' 			=> esc_html__('Google analytics code', 'ac-repair'),
		'section' 		=> 'General setting', 
		'description' 	=> 'Please add google analytics code here',
		'type' 			=> 'textarea',
		'id' 			=> 'google_analytics_code',
		'class' 		=> '',
	    'default'		=> '',
    );

	/**
	 *   3. Header Setting
	 */

	$theme_options[] = array(
		'name' 			=> esc_html__('Header Setting', 'ac-repair'),
		'description' 	=> esc_html__('Configure Header Section to customize your to upload your preferred Header Banner, breadcrumbs.', 'ac-repair' ),
		'type' 			=> 'section',
        'priority'      => absint('220'),
	);
	$theme_options[] = array(
		'name' 		    => esc_html__('Top Navigation Left Side', 'ac-repair'),
		'section' 	    => esc_html__('Header Setting', 'ac-repair'),
		'description'   => esc_html__("Visual Editor customization using display in top left side navigation.", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'navigation_top_left',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '<p> We&rsquo;r available 7 days a week </p>',
    );   
	$theme_options[] = array(
		'name' 		    => esc_html__('Header Navigation Address Information','ac-repair'),
		'section' 	    => esc_html__('Header Setting', 'ac-repair'),
		'description'   => esc_html__("WordPress Editor using header navigation Address information Customization.", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'header_navigation_address',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '<div class="address-info">
				              <div class="icon icon-size-x">&lt;i class="icon-placeholder"&gt;&lt;/i&gt;</div>
				              <div class="location-address">194 Glen Street &lt;br/&gt;
				                Louisville, KY 40299</div>
				            </div>',
	);
	$theme_options[] = array(
		'name' 		    => esc_html__('Header Navigation Contact Information','ac-repair'),
		'section' 	    => esc_html__('Header Setting', 'ac-repair'),
		'description'   => esc_html__("WordPress Editor using header navigation Contact information Customization.", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'header_navigation_contactus',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '<div class="contact-text-info">
				              <div class="icon icon-size-x">&lt;i class="icon-telephone-1"&gt;&lt;/i&gt;</div>
				              <div class="contact-text"> Call Now Fast Service </div>
				              <div class="call-text"> + 1 800-234-7890</div>
				            </div>',
	);
	$theme_options[] = array(
		'name' 		    => esc_html__('Header Navigation Working Hour Information','ac-repair'),
		'section' 	    => esc_html__('Header Setting', 'ac-repair'),
		'description'   => esc_html__("WordPress Editor using header navigation Working Hour information Customization.", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'header_navigation_working_hour',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '<div class="time-info">
				              <div class="icon icon-size-x">&lt;i class=" icon-clock"&gt;&lt;/i&gt;</div>
				              <div class="contact-text"> Monday - Friday </div>
				              <div class="call-text"> 8:00am - 4:00pm</div>
				            </div>',
	);
	$theme_options[] = array(
		'name' 			=> esc_html__('Header Page Banner', 'ac-repair'),
		'section' 		=> esc_html__('Header Setting', 'ac-repair'),
		'description' 	=> esc_html__('Upload Banner In Header Section if any post type or page not set page banner it is By defalt set in page Banner.', 'ac-repair' ),
		'type' 			=> 'image',
		'id' 			=> $_prefix.'header_banner',
		'class' 		=> 'regular-text form-control text-upload',
	    'default'		=> $dir.'/assets/ac-repair/images/page-header.jpg',
    );
	$theme_options[] = array(
		'name'			=> esc_html__('Page Banner Headings', 'ac-repair'),
		'section' 		=> esc_html__('Header Setting', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for Page Banner Heading.', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'page-banner-font-size',
		'id_2' 			=> $_prefix.'page-banner-line-height',
		'id_3' 			=> $_prefix.'page-banner-font-weight',
		'id_4' 			=> $_prefix.'page-banner-font-color',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
		'options_3'		=> $font_weight,
	    'default_1'		=> absint('42'),
	    'default_2'		=> absint('46'),
		'default_3'		=> absint('700'),
	    'default_4'		=> '#fff',
	    'customizer_4'  => array( '.page-header h1.page-title' => 'color'  ),
    ); 
	/**
	 * 2. Styling options.
	 */ 
	$theme_options[] = array(
		'name' 			=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Configure the visual appearance of your theme, or insert any custom CSS.', 'ac-repair' ),
		'type' 			=> 'section',
        'priority'      => absint('300'),
	);
	$theme_options[] = array(
		'name'			=> esc_html__('Background Image', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Upload a Background image.', 'ac-repair' ),
		'type' 			=> 'image',
		'id' 			=> $_prefix.'background_image',
		'class' 		=> 'regular-text form-control text-upload',
	    'default'		=> '', // $dir.'/assets/ac-repair/images/ptrn-bg.jpg',
    );	
	$theme_options[] = array(
		'name'			=> esc_html__('Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('If background image has empty so Choose the background color of your site', 'ac-repair' ),
		'type' 			=> 'color',
		'id' 			=> $_prefix.'background_color',
		'class' 		=> '',
	    'default'		=> '#ffffff',
		'customizer' 	=> array( 'body' => 'background-color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Navigation Bar Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Navigation Bar background color of your header section', 'ac-repair' ),		
		'type' 			=> 'color',
		'id' 			=> $_prefix.'header_topbar_background_color',
		'class' 		=> '',
	    'default'		=> '#e8eef3',
		'customizer' 	=> array( '.top-bar' => 'background-color', ),	    
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Header Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Header background color of your header section', 'ac-repair' ),		
		'type' 			=> 'color',
		'id' 			=> $_prefix.'header_background_color',
		'class' 		=> '',
	    'default'		=> '#ffffff',
	    'customizer' 		=> array( '.header' => 'background-color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Logo Text Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the color for logo text only.', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'logo_text_current',
		'id_2' 	  		=> $_prefix.'logo_text_hover',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '',
	    'default_2'		=> '',
	    'customizer_1'		=> array( 'h1.site-title a' 	   => 'color', ),
		'customizer_2' 	=> array( 'h1.site-title a:hover'  => 'color', ),
    );	
    $theme_options[] = array(
		'name' 			=> esc_html__('Menubar Header Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Menubar Header background color of your menubar header section', 'ac-repair' ),	
		'type' 			=> 'color',
		'id' 			=> $_prefix.'menubar_header_background_color',
		'class' 		=> '',
	    'default'		=> '#125687',
	    'customizer'	=> array( '.navigation' => 'background-color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Menubar Background Color', 'ac-repair'),
		'section'		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the menubar background color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'menubar_background_current_color',
		'id_2' 			=> $_prefix.'menubar_background_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#125687',
	    'default_2'		=> '#074571',
	    'customizer_1' 	=> array( '#navigation > ul > li a' 	   => 'background-color', ),
		'customizer_2' 	=> array( '#navigation > ul > li:hover a'  => 'background-color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Menubar Text Color', 'ac-repair'),
		'section'		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the menubar text color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'menu_text_current_color',
		'id_2' 			=> $_prefix.'menu_text_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#dcf1ff',
	    'default_2'		=> '#ffffff',
	    'customizer_1' 	=> array( '#navigation > ul > li a' 	   => 'color', ),
		'customizer_2' 	=> array( '#navigation > ul > li:hover a'  => 'color', ),
    );	
	$theme_options[] = array(
		'name' 			=> esc_html__('Accent Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the accent color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'a_current_color',
		'id_2' 	  		=> $_prefix.'a_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ec6b08',
	    'default_2'		=> '#23527c',
	    'customizer_1' => array( 'a' 		 => 'color', ),
		'customizer_2' => array( 'a:hover'  => 'color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Default Button Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Default Button backgrouund color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1'			=> $_prefix.'default_button_current_color',
		'id_2' 	  		=> $_prefix.'default_button_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ec6b08',
	    'default_2'		=> '#ff8324',
	    'customizer_1' => array( '.btn-default' 	   => 'background-color', ),
		'customizer_2' => array( '.btn-default:hover'  => 'background-color', ),
    );
    $theme_options[] = array(
		'name' 			=> esc_html__('Default Button Text Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Default Button text color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1'			=> $_prefix.'default_button_text_current_color',
		'id_2' 	  		=> $_prefix.'default_button_text_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ffffff',
	    'default_2'		=> '#ffffff',
	    'customizer_1' => array( '.btn-default' 		=> 'color', ),
		'customizer_2' => array( '.btn-default:hover'  => 'color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Primary Button Background Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Primary Button backgrouund color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1'			=> $_prefix.'primary_button_current_color',
		'id_2' 	  		=> $_prefix.'primary_button_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#125687',
	    'default_2'		=> '#196398',
	    'customizer_1' => array( '.btn-primary' 	   => 'background-color', ),
		'customizer_2' => array( '.btn-primary:hover'  => 'background-color', ),
    );
    $theme_options[] = array(
		'name' 			=> esc_html__('Primary Button Text Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the Primary Button text color of your site', 'ac-repair' ),
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1'			=> $_prefix.'primary_button_text_current_color',
		'id_2' 	  		=> $_prefix.'primary_button_text_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ffffff',
	    'default_2'		=> '#ffffff',
	    'customizer_1' => array( '.btn-primary' 		=> 'color', ),
		'customizer_2' => array( '.btn-primary:hover'  => 'color', ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Footer Background Color', 'ac-repair'), 
		'section' 		=> esc_html__('Styling Options', 'ac-repair' ),
		'description' 	=> esc_html__('Choose the Footer background color','ac-repair' ),
		'type' 			=> 'color',
		'class' 		=> '',
		'id' 			=> $_prefix.'footer_background_color',
	    'default'		=> '#232729',
	    'customizer' => array(
			 '.footer' => 'background-color',
		),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Footer Heading Color', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Choose the heading color of footer', 'ac-repair' ),
		'type' 			=> 'color',
		'id' 			=> $_prefix.'footer_heading_color',
		'class' 		=> '',
	    'default'		=> '#ecf0f5',
	    'customizer' => array(
			 '.footer h1, .footer h2, .footer h3, .footer h4, .footer h5, .footer h6 ' => 'color',
		),
    );	
	$theme_options[] = array(
		'name' 			=> esc_html__('Footer Text Color', 'ac-repair'),
		'section'       => esc_html__('Styling Options', 'ac-repair'),
		'description'   => esc_html__('Choose the text color of footer', 'ac-repair' ),		
		'type'          => 'color',
		'class' 		=> '',
		'id'      		=> $_prefix.'footer_text_color',
	    'default'		=> '#7a8187',
	    'customizer' => array(
			 '.footer p' => 'color',
		),
    );		
	$theme_options[] = array(
		'name'          => esc_html__('Footer Accent Color', 'ac-repair'),
		'section'       => esc_html__('Styling Options', 'ac-repair'),
		'description'   => esc_html__('Footer Accent Color', 'ac-repair' ),
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1'          => $_prefix.'footer_a_current_color',
		'id_2' 	        => $_prefix.'footer_a_hover_color',
		'label_1'       => 'Current Color',
		'label_2'       => 'Hover Color',
	    'default_1'		=> '#7a8187',
	    'default_2'		=> '#ec6b08',
	    'customizer_1' => array( '.footer a, .footer .footer-widget ul li a' 			   => 'color', ),
		'customizer_2' => array( '.footer a:hover, .footer .footer-widget ul li a:hover'  => 'color', ),
    );
	$theme_options[] = array(
		'name'          => esc_html__('Tiny Footer Background Color', 'ac-repair'),
		'section'       => esc_html__('Styling Options', 'ac-repair'),
		'description'   => esc_html__('Choose the background color of tiny footer', 'ac-repair' ),		
		'type'          => 'color',
		'id'            => $_prefix.'tiny_footer_background_color',
		'class' 		=> '',
	    'default'		=> '#272c2e',
	    'customizer' => array(
			 '.tiny-footer' => 'background-color',
		),
    );	
	$theme_options[] = array(
		'name'          => esc_html__('Tiny Footer Text Color', 'ac-repair'),
		'section'       => esc_html__('Styling Options', 'ac-repair'),
		'description'   => esc_html__('Choose the text color of tiny footer', 'ac-repair' ),		
		'type'          => 'color',
		'id'         	=> $_prefix.'tiny_footer_text_color',
		'class' 		=> '',
	    'default'		=> '#a5aaaf',
	    'customizer' => array(
			 '.tiny-footer p' => 'color',
		),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Custom CSS', 'ac-repair'),
		'section' 		=> esc_html__('Styling Options', 'ac-repair'),
		'description' 	=> esc_html__('Add custom CSS to here that affect in front', 'ac-repair' ),
		'type' 			=> 'textarea',
		'id' 			=> $_prefix.'custome_css',
		'class' 		=> '',
	    'default'		=> '',
    );

    /***
	 * 6. Slider Setting
	 **/
	$theme_options[] = array(
		'name'          => esc_html__('Slider Setting', 'ac-repair'),
		'description'   => esc_html__('Slieder option customization.', 'ac-repair' ),
		'type'          => 'section',
        'priority'      => absint('600'),
	);
	$theme_options[] = array(
		'name'          => esc_html__('Slider Heading Font', 'ac-repair'), 
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'type'          => 'select',
		'description'   => esc_html__("Chooce Slider Heading Font", 'ac-repair' ),
		'id'            => $_prefix.'slider_heading_font_family',
		'class' 		=> '',
		'options' 		=> $googlefonts,
	    'default'		=> 'Catamaran',
    );	
	$theme_options[] = array(
		'name'          => esc_html__('Slider Description Font', 'ac-repair'), 
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'type'          => 'select',
		'description'   => esc_html__("Chooce Slider Description Font", 'ac-repair' ),
		'id'            => $_prefix.'slider_description_font_family',
		'class' 		=> '',
		'options' 		=> $googlefonts,
	    'default'		=> 'Catamaran',
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('Slider Headings Typography', 'ac-repair'),
		'section' 		=> 'Typography', 
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for slider heading.', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'slider_heading_font_size',
		'id_2' 			=> $_prefix.'slider_heading_line_height',
		'id_3' 			=> $_prefix.'slider_heading_font_weight',
		'id_4' 			=> $_prefix.'slider_heading_font_color',		
		'label_1' 		=> 'Font Size',
			'default_1'		=> absint('46'),
		'label_2' 		=> 'Line Height',
			'default_2'		=> absint('46'),
		'label_3' 		=> 'Font Weight',
			'default_3'		=> absint('800'),
		'label_4' 		=> 'Font Color',
			'default_4'		=> '#fff',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( '.slider-title' => 'color'  ),
    ); 
    $theme_options[] = array(
		'name' 			=> esc_html__('Slider Description Typography', 'ac-repair'),
		'section' 		=> 'Typography', 
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for slider heading.', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'slider_description_font_size',
		'id_2' 			=> $_prefix.'slider_description_line_height',
		'id_3' 			=> $_prefix.'slider_description_font_weight',
		'id_4' 			=> $_prefix.'slider_description_font_color',		
		'label_1' 		=> 'Font Size',
			'default_1'		=> absint('20'),
		'label_2' 		=> 'Line Height',	
			'default_2'		=> absint('18'),
		'label_3' 		=> 'Font Weight',
			'default_3'		=> absint('500'),
		'label_4' 		=> 'Font Color',
			'default_4'		=> '#fff',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( '.slider-text' => 'color'  ),
    ); 
	$theme_options[] = array(
		'name'          => esc_html__('Animation Speed', 'ac-repair'),
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'description'   => esc_html__('Animation Speed of slider', 'ac-repair' ),
		'type'          => 'text',
		'id'            => $_prefix.'animatespeed',
		'class' 		=> '',
	    'default'		=> absint('10000'),
    );			
	$theme_options[] = array(
		'name'          => esc_html__('Control Nav', 'ac-repair'),
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'description'   => esc_html__('If you want to Display Slider Nav true or false.', 'ac-repair' ),
		'type'          => 'checkbox',
		'id'            => $_prefix.'nav',
		'class' 		=> '',		
		'options'		=> array( 'name'  => 'nav' ),
	    'default'		=> 'nav',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Direction Nav', 'ac-repair'),
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'description'   => esc_html__('If you want to Display Slider Dots true or false.', 'ac-repair' ),			
		'id'            => $_prefix.'dots',
		'type'          => 'checkbox',
		'class' 		=> '',
		'options' 		=> array( 'name' => 'dots' ),
	    'default'		=> 'dots',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Slider Button Background Color', 'ac-repair'),
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'description'   => esc_html__('Slider Button Background Color', 'ac-repair' ),	
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'slider_button_current_background_color',
		'id_2' 	  		=> $_prefix.'slider_button_hover_background_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ec6b08',
	    'default_2'		=> '#ff8324',
	    'customizer_1' 	=> array( '.slider .btn-default' 		=> 'background-color', ),
		'customizer_2' 	=> array( '.slider .btn-default:hover'  => 'background-color', ),
    );		
	$theme_options[] = array(
		'name'          => esc_html__('Slider Button Text Color', 'ac-repair'),
		'section'       => esc_html__('Slider Setting', 'ac-repair'), 
		'description'   => esc_html__('Slider Button Text Color', 'ac-repair' ),		
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1' 			=> $_prefix.'slider_button_current_text_color',
		'id_2' 			=> $_prefix.'slider_button_hover_text_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ffffff',
	    'default_2'		=> '#ffffff',
	    'customizer_1' 	=> array( '.slider .btn-default' 	    => 'color', ),
		'customizer_2' 	=> array( '.slider .btn-default:hover'  => 'color', ),
    );

    /**
     *  Google icon section.
     */

	$theme_options[] = array(
		'name' 		 	=> esc_html__('Google Map Setting', 'ac-repair'),
		'description'	=> esc_html__('Google map Setting like you can choose your google marker added in map etc.', 'ac-repair' ),
		'type' 		    => 'section',
        'priority'      => absint('200'),
	);
	$theme_options[] = array(
		'name'          => esc_html__('Google Map Api key', 'ac-repair'),
		'section'       => esc_html__('Google Map Setting', 'ac-repair'),
		'description'   => esc_html__('Please Add Google Map Api key here so Event post and Locations Post Google Map is Display visible.', 'ac-repair' ),
		'id'            => $_prefix.'google_map_api_key',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> ( WP_ORGANIC_DEFAULT_VALUE == true ) ? 'AIzaSyCPiD1PA0lAitb0U3bKmdywNfdfThqPcGg' : '',
    );
	$theme_options[] = array(
		'name'		    => esc_html__('Google marker icon', 'ac-repair'),
		'section'	    => esc_html__('Google Map Setting', 'ac-repair'),
		'description'   => esc_html__("Upload a 22px x 33px Png/Jpg image that will represent your website's google map marker icon.", 'ac-repair' ),		
		'type' 		    => 'image',
		'id' 		    => $_prefix.'google_marker_icon',
		'class' 		=> 'regular-text form-control text-upload',
	    'default'		=> $dir.'/assets/ac-repair/images/marker.png',
	);    

	/**
	 *  Service Section.
	 */

	$theme_options[] = array(
		'name' 			=> esc_html__('Blog Post Setting', 'ac-repair'),
		'description' 	=> esc_html__('Service Setting Choose Layout', 'ac-repair' ),
		'type' 			=> 'section',
        'priority'      => absint('220'),
	);
    $theme_options[] = array(
		'name'          => esc_html__('Blog Page Layout', 'ac-repair'),
		'section'       => esc_html__('Blog Post Setting', 'ac-repair'),
		'description'   => esc_html__('Select your blog post style that can be display on post page.', 'ac-repair' ),
		'id'            => $_prefix.'blog_page_layout',
		'type'          => 'radio',	
		'class' 		=> '',
		'default'		=> 'blog-large-image-style',
		'options'		=> array( 
								  '1-large-then-2-grid-style' 	   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-1big-2column.jpg" />', 
								  '1-large-then-3-grid-style' 	   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-1big-3column.jpg" />',
								  '1-large-then-list-style' 	   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-full-list.jpg" />', 
								  'blog-large-image-style'   	   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-full-width.jpg" />',
								  'blog-list-column' 			   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-list.jpg" />', 
								  'masonry-2-column-style' 		   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-2-colmn-masonary.jpg" />', 
								  'masonry-3-column-style' 		   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-3-colmn-masonary.jpg" />', 
								  'blog-simple-two-column-style'   => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-2-colmn.jpg" />',
								  'blog-simple-three-column-style' => '<img class="img-responsive" src="'.$dir.'/inc/framework/image/blog-style/blog-3-column.jpg" />',
						   ),
    );   

	/**
	 * 8. Typography.
	 */
	$theme_options[] = array(
		'name' 			=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Typography using theme Heading Font, Lead Font, Paragraph Font size, color, style easy to change.', 'ac-repair' ),
		'type' 			=> 'section',
        'priority'      => absint('800'),
	);
	$theme_options[] = array(
		'name' 			=> esc_html__('Body Font', 'ac-repair'),
		'section' 		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__("Quickly add a custom Google Font for body from Google Font Directory. Example font name: 
						   'Source Sans Pro', for including font weights type Source Sans Pro:300", 'ac-repair' ),
		'type' 			=> 'body_typography',
		'id_1' 			=> $_prefix.'body-font-family',
		'id_2' 			=> $_prefix.'body-font-style',
		'id_3' 			=> $_prefix.'body-font-size',
		'id_4' 			=> $_prefix.'body-line-height',
		'label_1' 		=> 'Google fonts',
			'default_1'	=> 'Catamaran',
		'label_2' 		=> 'Font style',
			'default_2'	=> '',
		'label_3' 		=> 'Font size',
			'default_3'	=> absint('16'),
		'label_4' 		=> 'Line height',  
			'default_4'	=> '',
		'options_1'		=> $googlefonts,
	    'options_2'		=> $font_style,
    );
	$theme_options[] = array(
		'name'			=> esc_html__('H1 Headings', 'ac-repair'),
		'section' 		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h1', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h1',
		'id_2' 			=> $_prefix.'line-height-h1',
		'id_3' 			=> $_prefix.'font-weight-h1',
		'id_4' 			=> $_prefix.'font-color-h1',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> absint('32'),
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> absint('600'),
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#125687',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( 'h1' => 'color'  ),
    ); 	
	$theme_options[] = array(
		'name' 			=> esc_html__('H2 Headings', 'ac-repair'),
		'section' 		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h2', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h2',
		'id_2' 			=> $_prefix.'line-height-h2',
		'id_3' 			=> $_prefix.'font-weight-h2',
		'id_4' 			=> $_prefix.'font-color-h2',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> absint('26'),
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> absint('600'),
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#313335',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( 'h2' => 'color'  ),
    ); 	
	$theme_options[] = array(
		'name' 			=> esc_html__('H3 Headings', 'ac-repair'),
		'section'		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h3', 'ac-repair' ),
		'type'			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h3',
		'id_2' 			=> $_prefix.'line-height-h3',
		'id_3' 			=> $_prefix.'font-weight-h3',
		'id_4' 			=> $_prefix.'font-color-h3',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> absint('22'),
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> absint('600'),
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#313335',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( 'h3' => 'color'  ),
    );
    $theme_options[] = array(
		'name' 			=> esc_html__('H4 Headings', 'ac-repair'),
		'section'		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h4', 'ac-repair' ),
		'type'			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h4',
		'id_2' 			=> $_prefix.'line-height-h4',
		'id_3' 			=> $_prefix.'font-weight-h4',
		'id_4' 			=> $_prefix.'font-color-h4',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> absint('18'),
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> absint('600'),
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#313335',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( 'h4' => 'color'  ),
    ); 
    $theme_options[] = array(
		'name' 			=> esc_html__('H5 Headings', 'ac-repair'),
		'section'		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h5', 'ac-repair' ),
		'type'			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h5',
		'id_2' 			=> $_prefix.'line-height-h5',
		'id_3' 			=> $_prefix.'font-weight-h5',
		'id_4' 			=> $_prefix.'font-color-h5',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> '',
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> '',
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#313335',
		'options_3'		=>  $font_weight,
	    'customizer_4'  => array( 'h5' => 'color'  ),
    );
    $theme_options[] = array(
		'name' 			=> esc_html__('H6 Headings', 'ac-repair'),
		'section'		=> esc_html__('Typography', 'ac-repair'),
		'description' 	=> esc_html__('Choose font-Size, line-height and font-color for h6', 'ac-repair' ),
		'type'			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-h6',
		'id_2' 			=> $_prefix.'line-height-h6',
		'id_3' 			=> $_prefix.'font-weight-h6',
		'id_4' 			=> $_prefix.'font-color-h6',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> '',
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> '',
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#313335',
		'options_3'		=>  $font_weight,
	    'customizer_4'  => array( 'h6' => 'color'  ),
    );
	$theme_options[] = array(
		'name' 			=> esc_html__('P Headings', 'ac-repair'),
		'section' 		=> esc_html__('Typography', 'ac-repair'),
		'description'	=> esc_html__('Choose font-Size, line-height and font-color for p', 'ac-repair' ),
		'type' 			=> 'typography',
		'id_1' 			=> $_prefix.'font-size-p',
		'id_2' 			=> $_prefix.'line-height-p',
		'id_3' 			=> $_prefix.'font-weight-p',
		'id_4' 			=> $_prefix.'font-color-p',		
		'label_1' 		=> 'Font Size',
			'default_1'	=> absint('16'),
		'label_2' 		=> 'Line Height',	
			'default_2'	=> '',
		'label_3' 		=> 'Font Weight',
			'default_3'	=> '500',
		'label_4' 		=> 'Font Color',
			'default_4'	=> '#666a6d',
		'options_3'		=> $font_weight,
	    'customizer_4'  => array( 'p' => 'color'  ),
    ); 	

    /**
	 * 8. Tiny Footer.
	 */
	$theme_options[] = array(
		'name'          => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Social icons display top header and tiny footer section.', 'ac-repair' ),
		'type'          => 'section',
        'priority'      => absint('800'),
	);	
	$theme_options[] = array(
		'name'          => esc_html__('Facebook', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Facebook Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_facebook',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.facebook.com',
    );	
	$theme_options[] = array(
		'name'          => esc_html__('Twitter', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Twitter Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_twitter',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.twitter.com',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Google+', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Google+ Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_google',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.google.com',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Instagram', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'), 
		'description'   => esc_html__('Instagram Link here', 'ac-repair' ),	
		'id'            => $_prefix.'social_instagram',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.instagram.com',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Youtube', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Youtube Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_youtube',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.youtube.com',
    );    
	$theme_options[] = array(
		'name'          => esc_html__('Pintrest', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Pintrest Link here',	 'ac-repair' ),	
		'id'            => $_prefix.'social_pintrest',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('LinkedIn', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('LinkedIn Link here',	 'ac-repair' ),	
		'id'            => $_prefix.'social_linkedin',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Rss', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Rss Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_rss',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Tumblr', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Tumblr Link here', 'ac-repair' ),
		'id'            => $_prefix.'social_tumblr',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );		
	$theme_options[] = array(
		'name'          => esc_html__('Vimeo', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'), 
		'description'   => esc_html__('Vimeo Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_vimeo',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Behance', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Behance Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_behance',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Dribble', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Dribble Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_dribble',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Flickr', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Flickr Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_flickr',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Git', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Git Link here', 'ac-repair' ),	
		'id'            => $_prefix.'social_git',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Skype', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Skype Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_skype',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Weibo', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Weibo Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_weibo',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Foursqure', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('Foursqure Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_foursqure',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => esc_html__('Soundcloude', 'ac-repair'),
		'section'       => esc_html__('Social icons', 'ac-repair'),
		'description'   => esc_html__('soundcloude Link here', 'ac-repair' ),		
		'id'            => $_prefix.'social_soundcloude',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );

	/***
	 * 7. Footer Setting
	 **/
	$theme_options[] = array(
		'name'          => esc_html__('Footer Setting', 'ac-repair'),
		'description'   => esc_html__('Configure footer  settings of your about us, location, and newsletter and newsletter shortcode.', 'ac-repair' ),
		'type'          => 'section',
        'priority'      => absint('700'),
    );
    $theme_options[] = array(
		'name' 		    => esc_html__('Footer Top Section', 'ac-repair'),
		'section' 	    => esc_html__('Footer Setting', 'ac-repair'),
		'description'   => esc_html__("Customization for the section footer area", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'footer_section_area',	
		'settings'		=> array( 'media_buttons' => true, 'quicktags' => true, 'textarea_rows' => 10, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name' 		    => esc_html__('Footer Copyright Text', 'ac-repair'),
		'section' 	    => esc_html__('Footer Setting', 'ac-repair'),
		'description'   => esc_html__("Enter the text to display in footer copyright area for left side.", 'ac-repair' ),
		'type' 		    => 'editor',
		'id' 			=> $_prefix.'copyright',	
		'settings'		=> array( 'media_buttons' => true, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '<p>fixitrepair@'.date("Y").'. All Right Reserved</p>',
    );

 	return $theme_options;
    }
}

/**
 *   WordPress WP_OPTIONS Table include a set a value array of declare in mh_options.
 */
if( ! function_exists( 'mh_add_theme_options' ) && function_exists( 'mh_theme_options' ) ){
	
	function mh_add_theme_options(){
		
	   $theme_options = mh_theme_options();  $valid_input = array();

	   foreach ( $theme_options as $value ):
	   switch ( true ):
			case ( $value['type'] == "text" ||  $value['type'] == "textarea" ||  $value['type'] == "checkbox" || 
				   $value['type'] == "radio" || $value['type'] == "select" || $value['type'] == "image" || 
				   $value['type'] == "color" || $value['type'] == "editor" || $value['type'] == "date-picker" ||
				   $value['type'] == "spinner" || $value['type'] == "range-validator" || $value['type'] == "multiselect" ) :
				   $valid_input[ $value['id'] ] = empty( $value['default'] )  ? '' : $value['default'];
			break;
			case ( $value['type'] ==  "typography" ||  $value['type'] == "body_typography" || $value['type'] == 'margin' ) :		
				  $valid_input[ $value['id_1'] ] = empty( $value['default_1'] ) ? '' : $value['default_1'];
				  $valid_input[ $value['id_2'] ] = empty( $value['default_2'] ) ? '' : $value['default_2'];
				  $valid_input[ $value['id_3'] ] = empty( $value['default_3'] ) ? '' : $value['default_3'];
				  $valid_input[ $value['id_4'] ] = empty( $value['default_4'] ) ? '' : $value['default_4'];
			break;	
			case ( $value['type'] == "color_2" ) :
				  $valid_input[ $value['id_1'] ] = empty( $value['default_1'] ) ? '' : $value['default_1'];
				  $valid_input[ $value['id_2'] ] = empty( $value['default_2'] ) ? '' : $value['default_2'];
			break;
			case ( $value['type'] == "map"  ) :
				  $valid_input[ $value['id_1'] ] = empty( $value['default_1'] ) ? '' : $value['default_1'];
				  $valid_input[ $value['id_2'] ] = empty( $value['default_2'] ) ? '' : $value['default_2'];
				  $valid_input[ $value['id_3'] ] = empty( $value['default_3'] ) ? '' : $value['default_3'];
			break;
			default : break;	
		endswitch;
		endforeach;

		add_option( 'mh_options', $valid_input );
	}
	add_action( 'init', 'mh_add_theme_options' );
}
?>