<?php

add_action( 'tgmpa_register', 'fixit_function_tgma__register_required_plugins' );

function fixit_function_tgma__register_required_plugins() {

	$plugin_url = esc_url( 'http://wporganic.com/theme/ac-repair/ac-repair-plugin/' );

	$plugins = array(
		 
	    array(
	        'name'               => esc_html( 'Wp-Organic - Ac Repair Shop' ),
	        'slug'               => esc_html( sanitize_title('Wp-Organic - Ac Repair Shop' ) ),
	        'source'             => esc_url( $plugin_url.'wp-organic-ac-repair-shop-1.0.1.zip' ),
	        'required'           => true,
	        'external_url'       => esc_url( $plugin_url.'wp-organic-ac-repair-shop-1.0.1.zip' ),
	        'force_deactivation' => true,
	    ),	    
		array(
	        'name'               => esc_html( 'Envato WordPress Toolkit' ),
	        'slug'               => esc_html( sanitize_title('Envato WordPress Toolkit' ) ),
	        'source'             => esc_url( 'https://codeload.github.com/envato/envato-wordpress-toolkit/zip/master' ),
	        'required'           => true,
	        'external_url'       => esc_url( 'https://codeload.github.com/envato/envato-wordpress-toolkit/zip/master' ),
	        'force_deactivation' => true,
	    ),
	    array(
		    'name'      => esc_html( 'One Click Demo Import' ),
		    'slug'      => esc_html( sanitize_title('One Click Demo Import') ),
		    'required'  => true,        	
		),
		array(
		    'name'      => esc_html( 'kingcomposer' ),
		    'slug'      => esc_html( sanitize_title('kingcomposer') ),
		    'required'  => true,        	
		),	    
		array(
		    'name'      => esc_html( 'Black Studio TinyMCE Widget' ),
		    'slug'      => esc_html( sanitize_title('Black Studio TinyMCE Widget') ),
		    'required'  => true,        	
		),
		array(
		    'name'      => esc_html( 'Contact Form 7' ),
		    'slug'      => esc_html( sanitize_title('Contact Form 7') ),
		    'required'  => true,
		),		
		array(
		    'name'      => esc_html( 'Mailchimp for wp' ),
		    'slug'      => esc_html( sanitize_title('Mailchimp for wp') ),
		    'required'  => true,
		),
	);

	$config = array(
		'id'           => 'ac-repair',             // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}
