<?php
/**
 *  The template for displaying Author bios
 */
?>
<div class="author-post col-lg-12 col-md-12 col-sm-12 col-xs-12">
  <div class="row">

	<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 author-img">
	<?php
	    $author_bio_avatar_size = apply_filters( 'author_bio_avatar_size', 240 );
    	print get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
    ?>
	</div>

	<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 author-bio">
		<h3><a class="heading-title" href="<?php print esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>"><?php print ucwords( get_the_author() ); ?></a><small class="author-admin">admin</small></h3>
		<p><?php the_author_meta( 'description' ); ?></p>

		<a class="btn btn-default" href="<?php print esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
			<?php esc_attr_e( 'View post', 'ac-repair'); ?>
		</a>		
	</div>

  </div>
  <hr/>
</div>