<?php
/**
 *  The template for displaying the footer. 
 */

if( !is_front_page()) 
    print "</div><!-- main-container -->";

if( is_front_page() && is_home() ) 
    print "</div><!-- front-page && home-page -->";

?>
<div class="footer section-space80">
  <div class="container">
      
      <?php  if( mh_get_option( Fixit_Factory::fixit_prefix() . 'footer_section_area') != '' )
                print '<div class="row"><div class="col-md-offset-2 col-md-8 text-center"><h3 class="mb80 footer-title">'.do_shortcode( mh_get_option( Fixit_Factory::fixit_prefix() . 'footer_section_area') ).'</h3></div></div>';
      ?>
      <div class="row">
        <?php
          if ( is_active_sidebar( 'fixit_widget_id_footer_widget' ) ) {
            dynamic_sidebar( 'fixit_widget_id_footer_widget' ); 
          }
        ?>
      </div>
  </div>
</div>

<div class="tiny-footer">
  <div class="container">
    <div class="row">

      <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
        <?php 
            if( mh_get_option( Fixit_Factory::fixit_prefix() . 'copyright') != '' ) : print fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix() . 'copyright') ) );
            endif;
        ?>
      </div>

      <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12"><div class="ft-social-widget text-right">
      <?php   

        $social_args = array( 
            /* icon => square or simple */ 
            /* name => true or false */
            'class' => '', 'icon' => 'simple', 'name' => false, 'style' => '', 'before' => '', 'after' => '',
        );
        
        foreach( fixit_function_social_icon( $social_args ) as $social )  print $social;
      ?>
      </div>

      </div>
    </div>
  </div>
</div>
<a href="#" class="scrollup"><?php esc_html_e( 'Top', 'ac-repair' ); ?></a>
</div> <!-- page --> 

<?php wp_footer(); ?>
</body>
</html>