<?php
/**
* The header for our theme.
*
* Displays all of the <head> section and everything up till <div id="content">
*
* @package Fixit
*/

get_search_form(); ?>

<!-- topbar -->
<div class="top-bar">
  <div class="container">
    <div class="row">
      <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
        <?php if( mh_get_option( Fixit_Factory::fixit_prefix() . 'navigation_top_left') ): print fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix().'navigation_top_left') ) ); endif; ?>
      </div>
      <div class="col-lg-8 col-md-8 col-sm-6 col-xs-12">
        <div class="social-widget text-right">
          <?php
              $social_args = array( 
                  /* icon => square or simple */ 
                  /* name => true or false */
                  'class' => '', 'icon' => 'simple', 'name' => false, 'style' => '', 'before' => '', 'after' => '',
              );

              foreach( fixit_function_social_icon( $social_args ) as $social )  print $social;
          ?>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- topbar -->

<?php

  print '<div class="header"><div class="container"><div class="row"><div class="col-lg-4 col-md-4 col-sm-6 col-xs-12 col-sm-mb-20 col-xs-mb-20 logo">';

      /**
       *   Header Logo or Text Function
       */
      fixit_function_header_logo();
        
  print '</div>';

  $start = '<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">';  $end   = '</div>';

  print '<div class="col-lg-8 col-md-8 col-sm-12 col-xs-12"><div class="row">';
  if( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_address') != '' ){

        print $start.fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_address') ) ).$end;
  }
  if( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_contactus') != '' ){

        print $start.fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_contactus') ) ).$end;
  }
  if( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_working_hour') != '' ){

        print $start.fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_working_hour') ) ).$end;
  }      
  print '</div></div>';

  print '</div></div></div>';

  print '<div class="navigation"><div class="container"><div class="row"><div class="col-lg-11 col-md-11 col-sm-12 col-xs-12">';
  print '<div id="navigation">';

      if ( has_nav_menu( 'fixit-primary-menu' ) ) :
           wp_nav_menu( array( 'theme_location' => 'fixit-primary-menu', 'walker'=>new ease_menu(), 'menu_class'=>'', 'container' => '', ) );
      endif;

  print '</div></div>';
  // print  fixit_function_strip_tags( esc_html( mh_get_option( Fixit_Factory::fixit_prefix().'header_navigation_search_bar') ) );

  print '<div class="col-lg-1 col-md-1 col-sm-12 col-xs-12 text-right"><div class="nav-btn">
            <a data-toggle="modal" data-target="#myModal" class="btn btn-secondary"><i class="fa fa-search"></i></a>
        </div></div>';

  print '</div></div></div>';
?>
