<?php
/**
 * The header for our theme.
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">

<?php 
global $wp_query, $post;

fixit_function_admin_header_image();

if( class_exists( 'Fixit_Plugin' ) && ! is_404() && get_the_ID() != '' ){
	$header_layout = get_post_meta( $post->ID, 'header_style', true );
}else{
	$header_layout = '_header_one_';
}

switch( true ):

  case ( $header_layout == '_header_one_' ):  get_header( 'first' );  break;

  case ( $header_layout == '_header_two_' ):    get_header( 'sec' );    break;

  default : get_header( 'first' );  break;

endswitch;