<?php

/*  Div End  */

global $wp_query, $post;
$show_sidebar = $sidebar_select = '';

if( is_page() || is_singular() && !is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	$sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	
	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	else $show_sidebar = esc_html("right");

	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	else $sidebar_select = esc_html("fixit_widget_id_primary_widget");	

}elseif( is_home() && is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("none");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("fixit_widget_id_primary_widget");

}elseif( is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("right");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("fixit_widget_id_primary_widget");

}else {
	$show_sidebar   = esc_html("right");
	$sidebar_select = esc_html("fixit_widget_id_primary_widget");
}

if( class_exists( 'Fixit_Plugin' ) && ! is_404() && ! is_search() && get_the_ID() != '' ){
	$select_div_structure = get_post_meta( $post->ID, 'show_div_structure', true );
}else{
	$select_div_structure = esc_html('container');
}

switch( $show_sidebar ){

	case 'right' : 

		if( function_exists( 'kc_is_using' ) && kc_is_using() && ! is_home() && ! is_search() && ! is_tag() && ! is_archive()  ){

			print '</div>';
		}

		print '</div><div class="col-lg-4 col-md-4 fixit-sidebar-area"><div class="row">';

		switch( $sidebar_select ){

			case $sidebar_select :  if ( is_active_sidebar($sidebar_select) ){ dynamic_sidebar( $sidebar_select ); }
			break;

			default :  if ( is_active_sidebar('fixit_widget_id_primary_widget') ){ dynamic_sidebar( 'fixit_widget_id_primary_widget' ); }
			break;
		}

		print '</div></div></div>';

		switch( $select_div_structure  ):

			case "container":  		    print '</div>'; break;

			case "container-fluid":     print '</div>'; break;

			case "custom":  			print '</div>'; break;

			default:   					print '</div>'; break;

		endswitch;			

	break;
	case 'left' :  

		if( function_exists( 'kc_is_using' ) && kc_is_using() && ! is_home() ){

			print '</div>';
		}

		print '</div></div>'; 

		switch( $select_div_structure  ):

			case "container":  		    print '</div>'; break;

			case "container-fluid":     print '</div>'; break;

			case "custom":  			print '</div>'; break;

			default:   					print '</div>'; break;

		endswitch;

	break;
	case 'none' :

		if( function_exists( 'kc_is_using' ) && kc_is_using() && is_home() ){

			switch( $select_div_structure  ):

				case "container":  		    print '</div></div>'; break;

				case "container-fluid":     print '</div></div>'; break;

				case "custom":  			print '</div></div>'; break;

				default:   					print '</div></div>'; break;

			endswitch;			

		}elseif( function_exists( 'kc_is_using' ) && kc_is_using() && ! is_home() ){

			switch( $select_div_structure  ):

				case "container":  		    print '</div></div>'; break;

				case "container-fluid":     print '</div></div>'; break;

				case "custom":  			print '</div></div>'; break;

				default:   					print '</div></div>'; break;

			endswitch;			

		}else{

			switch( $select_div_structure  ):

				case "container":  		    print '</div></div></div>'; break;

				case "container-fluid":     print '</div></div></div>'; break;

				case "custom":  			print '</div>'; break;

				default:   					print '</div></div></div>'; break;

			endswitch;

		}

	break;
	default :      

		if( function_exists( 'kc_is_using' ) && kc_is_using() && ! is_home() ){

			switch( $select_div_structure  ):

				case "container":  		    print '</div>'; break;

				case "container-fluid":     print '</div>'; break;

				case "custom":  			print '</div>'; break;

				default:   					print '</div>'; break;

			endswitch;			

		}else{

			switch( $select_div_structure  ):

				case "container":  		    print '</div></div></div>'; break;

				case "container-fluid":     print '</div></div></div>'; break;

				case "custom":  			print '</div>'; break;

				default:   					print '</div></div></div>'; break;

			endswitch;

		}

	break;
}

?>